#pragma once
#include <SDL.h>
#include "pilot.h"

// The pilot.
extern Pilot* pilot;
extern unsigned int credits;

typedef enum { RADAR_RECT, RADAR_CIRCLE } RadarShape; // For render functions.
typedef enum { KEYBIND_NULL, KEYBIND_KEYBOARD, KEYBIND_JAXIS, KEYBIND_JBUTTON } KeybindType;

// Creation.
void player_new(void);

// Render.
int gui_init(void);
void gui_free(void);
void player_render(void);

int player_isFlag(unsigned int flag);
void player_setFlag(unsigned int flag);
void player_rmFlag(unsigned int flag);

// Input.
void input_init(void);
void input_exit(void);
void input_setDefault(void);
void input_setKeybind(char* keybind, KeybindType type, int key, int reverse);
void input_handle(SDL_Event* event);

// Misc.
void player_message(const char* fmt, ...);

